package com.hithomelabs.clients.Benchmarks.Sortables;

import com.hithomelabs.clients.Benchmarks.Sortable;
import com.hithomelabs.princeton1.common.Apple;

public class AlreadySortedApples implements Sortable<Apple> {

    Apple[] apples;

    public AlreadySortedApples(int size){
        apples = new Apple[size];
        for (int i = 0; i < size; i++)
            apples[i] = new Apple(i);
    }

    @Override
    public Apple[] getArray() {
        return apples.clone();
    }

    @Override
    public String getOrdering() {
        return "ALREADY SORTED";
    }
}
